<?php
namespace Claromentis\Search\EmptySearch\Model;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_aa7e860" . "da1acd4e" . "767e0df9" . "d7d40738" . "0" => base64_decode("ZGF0ZV9jcmVhd" . "GVk"), "key" . "wor" . "ds" => base64_decode("a2V5d29" . "yZHM="), "_c261da155a5b4c08fbb" . "fc94c9c7a9d5f" => base64_decode("ZW1wd" . "Hlfc2" . "VhcmN" . "o"), "user_i" . "d" => base64_decode("dXNl" . "cl9p" . "ZA=="), "i" . "d" => base64_decode("aW" . "Q="));
use ActiveRecord;
use ObjectsStorage;









class EmptySearchModel extends ActiveRecord
{
    
    
    
    
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_c261da1" . "55a5b4c0" . "8fbbfc94" . "c9c7a9d5" . "f"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["i" . "d"], ObjectsStorage::T_AUTOINCREMENT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["user_" . "id"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_aa7e860da1acd4e767e0df9" . "d7d407380"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["ke" . "yw" . "or" . "ds"], ObjectsStorage::T_STRING, 255);
    }
    
    
    
    
    public function SetUserId($user_id)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["us" . "er" . "_i" . "d"], $user_id);
    }
    
    
    
    
    public function SetDate($_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->SetProperty($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_aa7e860da1acd4e767e0df9" . "d7d407380"], $_67a0d624aebcceb0abd5ce56a53ff06f);
    }
    
    
    
    
    public function SetKeywords($keywords)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["key" . "wor" . "ds"], $keywords);
    }
    
    
    
    
    public function GetUserId()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["user" . "_id"]);
    }
    
    
    
    
    public function GetDate()
    {
        return $this->GetProperty($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_aa7e860da1acd4e76" . "7e0df9d7d407380"]);
    }
    
    
    
    
    public function GetKeywords()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["key" . "wor" . "ds"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return \User::GetNameById($this->GetUserId());
    }
    
    
    
    
    public function GetProfileUrl()
    {
        return \User::GetProfileUrl($this->GetUserId());
    }
}